webentwicklung-frage-antwort-db.com.de

NETSDK1061: Das Projekt wurde mit Microsoft.NETCore.App Version 1.0.0 wiederhergestellt, aber mit den aktuellen Einstellungen wird stattdessen Version 2.0.9 verwendet

Ich entwickle eine mobile App und verwende MS App Center for CI. Gestern konnte das Unit Test-Projekt mit dem folgenden Fehler nicht in App Center erstellt werden. Ich konnte das Problem auf keinem Entwicklercomputer neu erstellen. Dieser Fehler tritt nur im App Center auf.

error : NETSDK1061: The project was restored using Microsoft.NETCore.App version 1.0.0, but with current settings, version 2.0.9 would be used instead. To resolve this issue, make sure the same settings are used for restore and for subsequent operations such as build or publish. Typically this issue can occur if the RuntimeIdentifier property is set during build or publish but not during restore. For more information, see https://aka.ms/dotnet-runtime-patch-selection.

Ihre bezahlte Unterstützung gibt nur die Grundlagen, bereinigt das Projekt, rollt mein letztes Commit zurück. Ist jemand im App Center schon einmal auf dieses Problem gestoßen?

19
Chris Sewell

Fügen Sie dies in die .csproj ein

<PropertyGroup>
<RuntimeFrameworkVersion>2.1.5</RuntimeFrameworkVersion>
</PropertyGroup>
0
pranav aggarwal

Ich hatte dieses Problem beim Erstellen von Azure Devops und keine der anderen Antworten konnte es beheben. Meine Schritte zum Erstellen und Veröffentlichen hatten bereits übereinstimmende --runtime Optionen.

Es stellte sich für mich heraus, dass das Folgende in das .csproj Datei (ersetzen Sie die RuntimeIdentifier durch die richtige für Ihr Bereitstellungsszenario):

  <PropertyGroup>
      ...
      <RuntimeIdentifier>win-x64</RuntimeIdentifier>
  </PropertyGroup>
0
Chris Peacock